Subject: Re: [PATCH 0/8 v4] mpc83xx_wdt rework, support for mpc8610 and mpc8xx

From: Anton Vorontsov <[email-masked]>
Date: Wed, 4 Jun 2008 16:27:25 +0400

On Wed, Jun 04, 2008 at 02:07:20PM +1000, Paul Mackerras wrote:
> Andrew Morton writes:
> 
> > On Wed, 4 Jun 2008 04:17:39 +0400
> > Anton Vorontsov <[email-masked]> wrote:
> > 
> > > > Please put the subsystem identifier (eg, "watchdog" and "powerpc")
> > > > outside the [], for reasons which should be in
> > > > Documentation/SubmittingPatches, which used to be there but which got
> > > > lost.  Bascially the text inside [] is for temporary not-for-committing
> > > > information such as "rfc", "2.6.24-rc4", "resend", etc and should be stripped
> > > > by the email recipient before merging.
> > > 
> > > Yeah, I know. It is just hard to remember all the preferences.
> > > 
> > > For example, PowerPC maintainers asking to do patches with "[POWERPC]"
> > > identifier, this identifier purposely keeps intact for git-log.
> > 
> > Addition of "[powerpc]" if it was absent can be scripted.
> > 
> > However, the retaining of "[powerpc]" (etc) while not retaining "[rfc]"
> > (etc) is not practical.
> > 
> > Plus putting things into git with "[powerpc]" in the title is wrong. 
> > The chances are good that anyone who is taking such a patch off the
> > git-commits list (say, for a backport) will lose that part of the
> > title.  It should be "powerpc: "
> 
> I think Anton is confusing two things: 

I found original email.. yes, you indeed ask for [POWERPC] in git
trees.

But. I believe anyone who send patches, tries to mimic existing practice,
and thus please the maintainer. Personally, I'm doing git log subsystem/
and looking for the preferred format for the commit message. And I'm not
alone: linuxppc-dev is full of [POWERPC] in the patch subjects, despite
the fact that you didn't explicitly ask for it.

Asking to send patches with "subsystem: " and then seeing them as
"[SUBSYSTEM] " in git-log is more confusing. Since new authors will
personalize this thinking: "Oh, maintainer fixed my negligence.
Next time I should send a patch with [SUBSYSTEM]".

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2